December 2010

Some of you may have come across this issue before. When creating an ERSI shape file (*.shp), the resulting file is in fact empty. This is actually a bug in the software, but there is a fix.

(adsbygoogle = window.adsbygoogle ..read more

{ Comments on this entry are closed }

Common causes for AutoCAD® freezing

by Will on December 16, 2010

How many times have you been working in AutoCAD®, and then suddenly it freezes on you? Panic sets in, as you try to remember the last time you saved… You wait… and wait… and… thankfully AutoCAD® un-freezes, this time…

But what ..read more

{ Comments on this entry are closed }

Many people are oblivious to the wondrous things that can be achieved with programming. If you cringe at the prospect of writing code, I’ll put this to you now – I cringe at the thought of having to do things ..read more

{ Comments on this entry are closed }

About To Regen

by Will on December 7, 2010

If you ever get the “About to Regen, Ok or Cancel” message, it can be infuriating if you do not know how to turn it off.

So, here’s how – set the REGENAUTO system variable to ON.

Will

{ Comments on this entry are closed }

Here’s a simple example of some VBA code that might come in handy either as a learning exercise, or if you happen to be trying to break a line programatically.

The code fistly asks the user to select a line, and ..read more

{ Comments on this entry are closed }

MText.WidthFactor

by Will on December 7, 2010

If you’ve ever tried to edit the widthfactor of mtext through VBA or VB.NET, you’ll have realised that there isn’t a method for doing so. However, there is a built in trick which bypasses the requirement for doing this. Try ..read more

{ Comments on this entry are closed }

ThisDrawing.PaperSpace

by Will on December 6, 2010

ThisDrawing.PaperSpace is a very useful way to access the PaperSpace of your drawing through VBA or VB.NET.

When developing tools that draw entites in a drawing, we can sometimes use ThisDrawing.PaperSpace, forgetting that the tool might actually end up being used ..read more

{ Comments on this entry are closed }

ThisDrawing.ModelSpace

by Will on December 6, 2010

ThisDrawing.ModelSpace is a very useful way to access the ModelSpace of your drawing through VBA or VB.NET.

When developing tools that draw entites in a drawing, we can sometimes use ThisDrawing.ModelSpace, forgetting that the tool might actually end up being used in ..read more

{ Comments on this entry are closed }

Clipping with multiple boundaries

by Will on December 3, 2010

rectangle within another rectangle

Here’s a neat little trick that can be very useful. Have you ever wanted to clip an object, say a viewport or xref, with more than one boundary? Well there is a way to achieve the result you want, but ..read more

{ Comments on this entry are closed }

AutoCAD® 2008 scale list bug

by Will on December 2, 2010

If you’re using AutoCAD® 2008, then you may have experienced slow copy/pasting in some drawings. This is one of the symptoms of a problem known as the scale list bug. This is where the annotation scale list has for some ..read more

{ Comments on this entry are closed }